summaryrefslogtreecommitdiff
path: root/example_create.sh
diff options
context:
space:
mode:
authorHiltjo Posthuma <hiltjo@codemadness.org>2019-03-01 11:49:29 +0100
committerHiltjo Posthuma <hiltjo@codemadness.org>2019-03-01 11:49:29 +0100
commit587b01428d6ec2be1ab6b468198663118d483990 (patch)
treea96e04a7c8cd494ed4edf4aeedd484372f32aa6f /example_create.sh
parent477d50169a42431d7fb0f939eb851ef6a2d80c3a (diff)
fix issues in example scripts
- in case cd fails don't continue (don't write in previous directory). - post-receive: quote $(pwd) in case it has spaces. found by shellcheck tool.
Diffstat (limited to 'example_create.sh')
-rwxr-xr-xexample_create.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/example_create.sh b/example_create.sh
index aff7d54..cf16e1d 100755
--- a/example_create.sh
+++ b/example_create.sh
@@ -30,7 +30,7 @@ for dir in "${reposdir}/"*/; do
printf "%s... " "${d}"
mkdir -p "${curdir}/${d}"
- cd "${curdir}/${d}"
+ cd "${curdir}/${d}" || continue
stagit -c ".cache" "${reposdir}/${r}"
# symlinks